unit MainFormFOC;

interface

uses
  System.Actions, System.SysUtils, System.Classes,
  Vcl.Mask, Vcl.PlatformDefaultStyleActnCtrls, Vcl.ExtCtrls, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  Vcl.Graphics,
  FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Param, FireDAC.DatS, FireDAC.Phys.Intf, FireDAC.DApt.Intf,
  FireDAC.Stan.Async, FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet, FireDAC.Comp.Client, FireDAC.Stan.Error,
  dmBasic, BasalForm,
  AdvSmoothEdit, AdvSmoothEditButton, AdvSmoothDatePicker, DBAdvSmoothDatePicker,
  AdvToolBar;

type
  TfrmMainFormFOC = class(TBasalForm)
    Button1: TButton;
    advtbpMainFoc: TAdvToolBarPager;
    dbsmpkFrom: TDBAdvSmoothDatePicker;
    fdtblUsers: TFDTable;
    intgrfldUsersIDUSERS: TIntegerField;
    intgrfldUsersFKOWNER_FLAT: TIntegerField;
    strngfldUsersSURNAME: TStringField;
    strngfldUsersFIRSTNAME: TStringField;
    strngfldUsersTITLE: TStringField;
    strngfldUsersFULLNAME: TStringField;
    dtfldUsersDATEFROM: TDateField;
    dtfldUsersDATETO: TDateField;
    strngfldUsersPHONE: TStringField;
    strngfldUsersMOBIL: TStringField;
    strngfldUsersNOTE: TStringField;
    smlntfldUsersLANDLORD: TSmallintField;
    smlntfldUsersSHARE_OWNERSHIP: TSmallintField;
    dsUsers: TDataSource;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  end;

var
  frmMainFormFOC: TfrmMainFormFOC;

implementation

{$R *.dfm}

procedure TfrmMainFormFOC.Button1Click(Sender: TObject);
begin
  fdtblUsers.Next;
end;

procedure TfrmMainFormFOC.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfrmMainFormFOC.FormCreate(Sender: TObject);
begin
  fdtblUsers.Active := True;
end;

procedure TfrmMainFormFOC.FormDestroy(Sender: TObject);
begin
  dtmdBasic.conFOC.Connected := False;
end;

end.
